Name:           will-crash
Version:        0.10
Release:        8%{?dist}
Summary:        Set of crashing executables written in various languages

Group:          Development/Tools
License:        GPLv3
URL:            http://github.com/sorki/will-crash
Source0:        http://sources.48.io/will-crash/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  java-devel
BuildRequires:  libtool
BuildRequires:  gcc-c++
BuildRequires:  ruby-devel
Requires:       ruby
Requires:       python2
%if 0%{?rhel} && 0%{?rhel} == 6
Requires:       java-1.8.0-openjdk-headless
Requires:       jpackage-utils
%else
Requires:       java-headless >= 1.7.0.0
Requires:       javapackages-tools
%endif

# Don't require python3 for el6/el7, exclude ppc64 due to missing java
%if 0%{?rhel}
ExcludeArch:    ppc64
%else
Requires:       python3
%endif

%description
The main purpose of this project is to provide sample
executables for testing crash/exception handling tools
like ABRT.

%prep
%setup -q

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/java

make install DESTDIR=%{buildroot}
# no devel package -> no *.so links to versioned libraries needed
find %{buildroot} -name '*.la' -or -name '*.a' | xargs rm -f

%files
%doc README.rst
%doc LICENSE
%doc AUTHORS
%{_bindir}/will_segfault
%{_bindir}/will_abort
%{_bindir}/will_python_raise
%{_bindir}/will_python_sigsegv
%{_bindir}/will_python3_raise
%{_bindir}/will_ruby_raise
%{_bindir}/will_java_segfault
%{_bindir}/will_java_throw
%{_bindir}/will_java_throw_remote
%if 0%{?rhel} && 0%{?rhel} > 6
%{_bindir}/will_java_throw_suppressed
%endif
%{_bindir}/will_cpp_segfault
%{_bindir}/will_stackoverflow
%{_bindir}/will_oops
%{_datadir}/java/*
%{_datadir}/will-crash/*
%{_libdir}/libwillcrash.so*
# Java runtime requires unversioned library
%{_libdir}/libwilljavasegfault.so*
%{ruby_vendorlibdir}/will_crash.rb

%changelog
* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.10-8
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.10-3
- Rebuild for Python 3.6

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Aug 13 2015 Richard Marko <rmarko@fedoraproject.org> - 0.10-1
- Version bump
- fix will_python_sigsegv for s390x
- Make it possible to run will_oops.in multiple times in row
- will_ruby_raise: fancy stacktrace
- Add --help to will_abort

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.9-3
- Rebuilt for GCC 5 C++11 ABI change

* Mon Nov 24 2014 Richard Marko <rmarko@fedoraproject.org> - 0.9-2
- fix will_java_throw_suppressed availability on RHEL6

* Thu Oct 30 2014 Jakub Filak <jfilak@redhat.com> - 0.9-1
- port to javapackages-utils

* Wed Sep 10 2014 Richard Marko <rmarko@fedoraproject.org> - 0.8-1
- add will_segfault --break-link-map

* Wed Aug 27 2014 Martin Milata <mmilata@redhat.com> - 0.7-5
- added will_stackoverflow

* Mon Aug 18 2014 Richard Marko <rmarko@fedoraproject.org> - 0.7-4
- support OpenJDK8

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jun 2 2014 Richard Marko  <rmarko@fedoraproject.org> - 0.7-1
- Version bump
- added will_abort --random
- added will_java_throw_remote

* Tue Jan 14 2014 Richard Marko  <rmarko@fedoraproject.org> - 0.6-1
- Version bump
- added will_cpp_segfault
- reworked will_segfault to produce more stack frames

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May  3 2013 Jiri Moskovcak <jmoskovc@redhat.com> 0.5-1
- new upstream release - 0.5
- added will_oops

* Mon Mar 18 2013 Richard Marko  <rmarko@fedoraproject.org> - 0.4-1
- Version bump, added will_java_segfault

* Thu Feb 21 2013 Richard Marko <rmarko@fedoraproject.org> - 0.3-1
- Version bump

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 25 2012 Richard Marko <rmarko@redhat.com> - 0.2-2
- Don't require python3 for el6

* Wed Jul 25 2012 Richard Marko <rmarko@redhat.com> - 0.2-1
- Version bump

* Mon Jul 23 2012 Richard Marko <rmarko@redhat.com> - 0.1-2
- Added missing automake build requirement

* Fri Jul 20 2012 Richard Marko <rmarko@redhat.com> - 0.1-1
- Initial packaging attempt
